Переглянути джерело

add nix-maintenance.sh

container/radius
Astro 2 роки тому
джерело
коміт
0c9ce308c2
1 змінених файлів з 10 додано та 0 видалено
  1. 10
    0
      nix-maintenance.sh

+ 10
- 0
nix-maintenance.sh Переглянути файл

@@ -0,0 +1,10 @@
1
+#!/usr/bin/env bash
2
+
3
+set -x
4
+set -e
5
+
6
+sudo nix-channel --update
7
+time nix-env -- -u \*
8
+time sudo nixos-rebuild switch
9
+time sudo nix-collect-garbage -d
10
+time sudo nix-store --optimise

Завантаження…
Відмінити
Зберегти